Bug 1763095 - nicotine+ fails to install in Fedora rawhide due to missing python2 dependencies
Summary: nicotine+ fails to install in Fedora rawhide due to missing python2 dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nicotine+
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FailsToInstall PY2FTBI 1770181 1770182
TreeView+ depends on / blocked
 
Reported: 2019-10-18 08:56 UTC by Miro Hrončok
Modified: 2019-11-08 19:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-08 19:07:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-18 08:56:49 UTC
nicotine+-1.4.1-8.fc31.noarch fails to install in Fedora rawhide:

  nothing provides python2-sexy needed by nicotine+-1.4.1-8.fc31.noarch

This is most caused by a dependency that was retired.
Please drop the dependency, unretire the dependency, remove the package or switch to Python 3. Thanks

Comment 1 Miro Hrončok 2019-10-25 22:47:06 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2019-11-06 19:20:47 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 3 Mohamed El Morabity 2019-11-08 09:45:51 UTC
python2-libsexy is actually an optional dependency for Nicotine+ (for spell checking in chat window). As a result the dependency has been removed.

Comment 4 Miro Hrončok 2019-11-08 10:41:29 UTC
Thanks, but it is still broken, this time by another retired package:

  nothing provides python2-notify needed by nicotine+-1.4.1-9.fc32.noarch

Comment 5 Mohamed El Morabity 2019-11-08 11:29:34 UTC
(In reply to Miro Hrončok from comment #4)
> Thanks, but it is still broken, this time by another retired package:
> 
>   nothing provides python2-notify needed by nicotine+-1.4.1-9.fc32.noarch
I haven't seen the notify-python package was retired, since I managed to install the update and its deps in my VM on Rawhide.
python2-notify is also optional... But I don't feel like unraveling nicotine+ again and again. Time to retire it.

Comment 6 Miro Hrončok 2019-11-08 11:39:23 UTC
notify-python is unfortunately still on the mirrors.

> Time to retire it.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.